> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event by key

> Retrieve event information by event key and client



## OpenAPI

````yaml /openapi.json get /api/public/events/event/{eventKey}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/events/event/{eventKey}:
    get:
      tags:
        - Public Events
      summary: Get event by key
      description: Retrieve event information by event key and client
      operationId: PublicEventsController_getEventByKey
      parameters:
        - name: eventKey
          required: true
          in: path
          description: Event key
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Event retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppEvent'
        '404':
          description: Event not found or not active
components:
  schemas:
    AppEvent:
      type: object
      properties: {}

````